Reconstruction Benchmarks for the EIC
=====================================

[![pipeline status](https://eicweb.phy.anl.gov/EIC/reconstruction_benchmarks/badges/master/pipeline.svg)](https://eicweb.phy.anl.gov/EIC/reconstruction_benchmarks/-/commits/master)

## Benchmarks

### Clustering

Located in `clustering` directory.
- Barrel Clusters (`clustering/barrel_clusters.sh`)

### EM Calorimetry

Located in `clustering` directory.
- Crystal Calorimeter electron reconstruction (`ecal/emcal_electrons.sh`)
- Crystal Calorimeter pi0 reconstruction (`ecal/emcal_pi0s.sh`)

Todo:
- ECal endcaps/barrel calorimetry
- Crystal calorimeter/endcap/barrel energy reconstruction efficiency 

### Tracking

Located in `tracking` directory.
- Central (barrel) electron track reconstruction (`tracking/central_electrons.sh`)

Todo: 
- Endcap electron tracks.
- TOF PID with UFSD

### RICH

Located in `rich` directory.
- PID of forward hadrons -- kaons/pions/protons (`rich/forward_hadrons.sh`)

Todo:
- detailed K/pi separation
 
 
## Adding new benchmarks

### Pass/Fail tests

- Create a script that returns exit status 0 for success.
- Any non-zero value will be considered failure.
- Script  


### Junit reports via gitlab API

Example:

```
curl "https://eicweb.phy.anl.gov/api/v4/projects/18/pipelines/4832/test_report"
```


